org 0x7C00
bits 16

section .text


mov ax, 0x0500 >> 4
mov ss, ax

mov esp, 0x7C00 - 0x0500

mov ax, 0x00
mov ds, ax
mov es, ax
mov fs, ax
mov gs, ax

reset_disk_hdd:
    mov ah, 0x00
    int 0x13
    jc reset_disk_hdd

; es:bx --> Buffer Address Pointer
mov ax, 0x7E00 >> 4
mov es, ax
mov bx, 0

mov ch, 0 ; Cylinder
mov cl, 2 ; Sector
mov dh, 0 ; Head
; mov dl, 0 ; Drive

read_floppy:
    mov ah, 02h
    mov al, 1 ; Num sectors to read
    int 13h
    jc read_floppy

jmp next

times 510-($-$$) db 0

dw 0xAA55



next:

incbin "kernel.bin"

cli
hlt
jmp $

times 1474048-($-$$) db 0