nasm kernel.asm -o kernel.bin
nasm boot.asm -o boot.img
if ! VBoxManage list vms | cut -d '"' -f 2 | grep -x 'X' > /dev/null
then
    VBoxManage createvm \
        --name 'X' \
        --ostype 'Other' \
        --register \
        --basefolder "$(pwd)/vbox"
    VBoxManage storagectl 'X' \
        --name 'Floppy' \
        --add floppy \
        --bootable on
    VBoxManage storageattach 'X' \
        --storagectl 'Floppy' \
        --device 0 \
        --type fdd \
        --medium boot.img
    VBoxManage modifyvm 'X' --usbxhci on
fi
command="VBoxManage list runningvms | cut -d '\"' -f 2 | grep -x 'X' > /dev/null"
if bash -c "${command}"
then
    VBoxManage controlvm 'X' poweroff
    while bash -c "${command}"; do true; done
    sleep 1
fi
VBoxManage startvm 'X'